.\" $Revision$
.TH INND 8
.SH NAZWA
innd, inndstart \- InterNetNews daemon
.SH SKADNIA
.B innd
[
.B \-a
]
[
.BI \-c " dni"
]
[
.B \-C
]
[
.B \-d
]
[
.B \-f
]
[
.BI \-H " licznik"
]
[
.BI \-i " licznik"
]
[
.BI \-I "adres_IP"
]
[
.BI \-l " rozmiar"
]
[
.B \-L
]
[
.BI \-m " tryb"
]
[
.BI \-n " flaga"
]
[
.BI \-o " licznik"
]
[
.BI \-p "fd_des"
]
[
.BI \-P "port"
]
[
.B \-r
]
[
.B \-s
]
[
.BI \-t " opnienie"
]
[
.BI \-T " licznik"
]
[
.B \-u
]
[
.BI \-X " sekundy"
]
[
.B \-Z
]

.B inndstart
[
.B flagi
]
.SH OPIS
.IR Innd ,
ktry jest demonem news (InterNetNews), obsuguje wszystkie nadchodzce
feedy. Najpierw wczytuje do pamici pliki
.IR active (5),
.IR newsfeeds (5)
i
.IR incoming.conf (5).
Potem otwiera port NNTP do odbierania artykuw ze zdalnych stacji (zobacz
opcj ``\fB\-p\fP''). Jeli w include/config.h zdefiniowano
.IR HAVE_UNIX_DOMAIN_SOCKETS ,
to do odbioru artykuw od lokalnych procesw, takich jak 
.IR nnrpd (8)
i
.IR rnews (1)
otwierane jest gzniazdo strumieniowe dziedziny Uniksowej, a dla
.IR ctlinnd (8)
odwierane jest analogiczne gniazdo datagramowe.
Gdy makro to nie jest zdefiniowane, uywane s cza nazwane.
.IR Ctlinnd (8)
wykorzystywany jest do kierowania serwer na wykonywanie okrelonych akcji.
Otwiera rwnie baz
.IR history (5)
i dwa pliki raportowe, zastpujce jego standardowe wyjcie i wyjcie bdu.
.PP
Po otwarciu wszystkich plikw i gniazd,
.I innd
oczekuje na poczenia i dane na swoich portach, uywajc do tego
.IR select (2)
i nieblokujcego I/O.
Jeli nie ma dostpnych danych, to wyprni od swoje wewntrzrdzeniowe
struktury danych. Domylna liczba sekund opnienia przed wyprnieniem jest
ustawiana jako
.I <DEFAULT_TIMEOUT w config.data>
(zwykle
.\" =()<.IR @<typDEFAULT_TIMEOUT>@ ) >()=
.IR 300 ) 
sekund.
.PP
Jeli 
.I innd
otrzyma bd ENOSPC (zobacz
.IR intro (2))
podczas zapisu pliku
.IR active ,
pliku article, lub bazy historii, to wyle sobie komend ``throttle''.
Stanie si to rwnie jeli otrzyma zbyt wiele bdw I/O podczas prby
zapisu do jakiego pliku.
.SH OPCJE
.TP
.B \-a
Domylnie, jeli host nie jest wymieniony w pliku
.I incoming.conf
to poczenie jest przekazywane do
.IR nnrpd .
Po uyciu tej flagi dowolny host moe si podczy i przesya artykuy.
.TP
.B \-c
.I innd
odrzuca stare artykuy. Zasadniczo zachowanie to moe by sterowane przez
baz historii, lecz czasem stacja wyrzuca w sie paczk bardzo starych
artykuw. Flaga ``\fB\c\fP'' okrela odcicie. Na przykad ``\fB\-c21\fP''
odrzuca wszelkie artykuy, wysane dawniej ni 21 dni temu. Warto zerowa
powstrzymuje ten test. Domyln wartoci jest 14 dni, lecz mona to zmieni
opcj ``artcutoff'' w
.IR inn.conf (5)
.TP
.B \-C
Jeli uyta jest flaga ``\fB\-C\fP'', to
.I innd
przyjmie i przepropaguje lecz nie przetwarza wiadomoci anulowania i
powstrzymania. Jest to przeznaczone dla stacji, w ktrych naduywane s
anulowania i ktre wybieraj mechanizm z lepsz autoryzacj.
.TP
.B "\-d \-f"
.I Innd
normalnie przechodzi w to, ustawia standardowe wyjcia na pliki raportowe i
odcza si od terminala. Po uyciu flagi ``\fB\-d\fP'' serwer tego nie
robi, a po uyciu flagi ``\fB\-f\fP'', serwer pozostaje na pierwszym planie.
.TP
.B "\-H \-T \-X"
Flagi ``\fB\-H\fP'', ``\fB\-T\fP'' i ``\fB\-X\fP'' steruj liczb pocze
dozwolonych na minut. Ma to w zaoeniach dziaa jako ochrona serwera
przed czytnikami, ktre wykonuj w cigu minuty zbyt wiele pocze z
serwerem. Zazwyczaj nie uywa si tego, chyba e rzeczywicie pojawia si
jaki problem.
Tablica uywana do tych sprawdze jest ograniczona do 128 wpisw i jest
uywana jako piercie (ring). Rozmiar zosta wybrany do uatwienia
obliczania indeksu i do upewnienia si, e nie zabraknie ci miejsca.
Praktycznie wydaje si wtpliwe, eby wykorzysta nawet poow tablicy
naraz.
.IP
Flaga ``\fB\-H\fP'' ogranicza liczb razy, do ktrej host moe si poczy
z serwerem podczas ``\fB\-X\fP'' sekund. Domylnie 2.
.IP
Flaga ``\fB\-T\fP'' ogranicza cakowit liczb nadchodzcych pocze innda
w okresie ``\fB\-X\fP'' sekund. Maksymaln wartoci jest 128. Domyln 60.
.IP
Flaga ``\fB\-X\fP'' ustawia liczb sekund, uywan przez  ``\fB\-H\fP'' i
``\fB\-T\fP''. Warto zerowa wycza sprawdzanie. Domylnie jest 0.
.TP
.B \-i
Flaga ``\fB\-i\fP'' ogranicza liczb nadchodzcych pocze NNTP. Warto
zerowa wycza to sprawdzenie. Domyln wartoci, jeli w \fIinn.conf\fR(5)
nie podano opcji ``maxconnections'' jest 50.
Wymieniona opcja jest zastpowana wartoci tej opcji.
.TP
.B \-I
Opcja ta umoliwia wizanie innda do podanego adresu interfejsu IP. Adres IP
musi by w postaci kropkowej czwrki liczb (nnn.nnn.nnn.nnn). Zobacz te
opcj ``bindaddress'' w
.IR inn.conf (5).
.TP
.B \-l
Flaga ``\fB\-l\fP'' ogranicza rozmiar artykuu. Po uyciu tej flagi,
wszystkie artykuy wiksze ni
.I rozmiar
bajtw bd odrzucane. Domyln wartoci jest 1000000L bajtw. Sprawdzanie
mona wyczy, uywajc wartoci zerowej.
.TP
.B \-L
Flaga ``\fB\-L\fP'' powoduje, e
.I innd
nie tworzy dowiza do crosspostowanych artykuw. Stacja typu
``feed-only'' moe tego uy do zwikszenia wydajnoci. Mona to te
poczy z feedem kanaowym do programu
.IR crosspost (8)
i przerzuci zadanie tworzenia dowiza poza ptl przetwarzania innda.
.TP
.B \-m
Flaga ``\fB\-m\fP'' suy do uruchamiania serwera w zatrzymanym lub
stumionym stanie (zobacz
.IR ctlinnd (8)).
Argument rozpoczyna si pojedyncz liter:
.IR g ,
.IR p
lub
.IR t ,
wskazujce na ``go'' (startuj), ``pause'' (zatrzymaj) lub ``throttle''
(stum).
.TP
.B \-n
Flaga ``\-n'' okrela czy pauzowanie lub stumienie serwera powinno rwnie
wyczy przysze procesy czytnikowe. Warto ``\fBy\fP'' powoduje, e
czytniki zachowuj si jak serwer, a warto ``\fBn\fP'' umoliwia czytanie
nawet gdy serwer nie pracuje.
Domylnie zezwala si na czytanie, a zmieni mona to opcj
``readerswhenstopped'' z
.IR inn.conf (5).
.TP
.B \-o
Flaga ``\fB\-o\fP'' suy ograniczaniu iloci plikw, ktre s utrzymywane
otwarte dla wychodzcych feedw plikowych. Domyln wartoci jest liczba
dostpnych deskryptorw minus cz zarezerwowana do uytku wewntrznego.
.TP
.B \-p
Po uyciu flagi ``\fB\-p\fP'' przyjmuje si, e port NNTP jest otwierany na
podanym deskryptorze. (Jeli uyta jest ta flaga, to
.I innd
zakada, e pracuje z waciwymi uprawnieniami i nie bdzie woa
.IR chown (2)
na adnych z tworzonych plikw lub katalogw.)
.TP
.B \-P
Jeli uyta jest flaga ``\fB\-P\fP'', to podany port jest uywany do
nasuchiwania pocze.
.I innd
musi mie wystarczajce uprawnienia startowe by otworzy podany port.
.TP
.B \-r
Jeli uyta jest flaga ``\fB\-r\fP'', serwer przenumeruje plik
.I active
zupenie tak, jak po wysaniu komendy ``renumber''.
.TP
.B \-s
Jeli uyta jest flaga ``\fB\-s\fP'', to
.I innd
nic nie bdzie robi, lecz tylko sprawdzi skadni pliku
.IR newsfeeds .
Jeli bd tam bdy, to zgosi kod bdu; rzeczywiste bdy bd natomiast
zgoszone w
.IR syslog (3).
.TP
.B \-t
Zmienia czas opnienia przed wyprnieniem do
.IR timeout 
sekund.
.TP
.B \-u
Raporty s normalnie buforowane; flaga ta wycza to zachowanie.
.TP
.B "\-Z"
Flaga ``\fB\-Z\fP'' wycza strumieniowanie, wic
.I innd
nie przyjmie `mode stream' i innych polece strumieniowych.
.PP
.I Inndstart
jest maym programem typu front-end, ktry otwiera port NNTP, ustawia uid i
gid na opiekuna news, a nastpnie uruchamia demona
.I innd
z flag ``\fB\-p\fP'' i minimalnym bezpiecznym rodowiskiem.
Jest to may front-end dla stacji, ktra nie chce uruchamia 
.I innd
z uprawnieniami roota.
.SH "KOMUNIKATY STERUJCE"
Artykuy przychodzce, majce nagwek Control, lub nagwek Subject, ktry
rozpoczyna si picioma znakami \&``cmsg\ '',  s nazywane
.IR "komunikatami sterujcymi" .
Poza komunikatem anulowania, s one zaimplementowane przez zewntrzne
programy w katalogu
.I <pathcontrol w inn.conf>
o ile
.I <usecontrolchan w inn.conf>
jest ustawione na ``false''. (Komunikaty anulowania (cancel) odwieaj baz
historii, wic musz by obsugiwane wewntrznie; koszt synchronizowania,
blokowania i odblokowywania byby zbyt wysoki przy odbiorze wielu takich
komunikatw.)
.PP
Gdy nadchodzi komunikat sterujcy, pierwsze sowo tekstu jest konwertowane
na mae litery i jest uywane jako nazwa uruchamianego programu. Jeli
program nie istnieje, wywoywany jest domylny program, okrelony przez
.IR "<pathcontrol w inn.conf>/default" .
.PP
Wszystkie programy sterujce s wywoywane z czterema parametrami. Pierwszym
jest adres nadawcy komunikatu; jest to pobierane z nagwka Sender. Jeli
nagwek ten jest pusty, to dane s pobierane z nagwka From. Nastpnym
parametrem jest adres zwrotny replik; pobierany z nagwka Reply-To.
Jeli nagwek ten jest pusty, uyty zostanie adres nadawcy.
Trzecim parametrem bdzie nazwa pliku, w ktrym znajduje si artyku
wzgldem katalogu skadowego news.
Czwartym parametrem jest host, ktry wysa artyku. Jest to odczytywane z
linii Path.
.PP
Jeli
.I <usecontrolchan w inn.conf> 
jest ustawione na ``true'', to aden komunikat sterujcy nie bdzie
przetwarzany przez program zewntrzny, forkowany przez innda. Zamiast tego,
bdzie przetwarzany przez skrypt
.IR controlchan ,
ktry jest wywoywany jako program kanaowy innda. Nie musisz do uywania
tego skryptu konfigurowa
.IR newsfeeds (5).
Przetwarzanie z uyciem
.I controlchan
moe zredukowa nadmierne obcienie, jeli zbyt wiele komunikatw
sterujcych pojawia si naraz.
.PP
Dystrybucja komunikatu sterujcego jest odmienna od dystrybucji
standardowych artykuw.
.PP
Komunikaty sterujce normalnie wpadaj do grupy dyskusyjnej
.IR control .
Mog one by zapisywane w podgrupach, lecz w oparciu o polecenie komunikatu
sterujcego.
Na przykad komunikat newgroup moe by zapisany w grupie
.I control.newgroup
lub w oglnym
.IR control ,
jeli specjalizowana podgrupa nie istnieje.
.PP
Stacje mog jawnie udostpnia grup ``control'' w ich listach zapisowych,
lecz zwykle lepiej jest j wyczy. Jeli komunikat sterujcy jest wysyany
na grup, ktrej nazwa koczy si czterema znakami ``.ctl'', to przyrostek
jest obcinany, a to co pozostanie jest uywane jako nazwa grupy.
Na przykad komunikat anulujcy, wysany na ``news.admin.ctl'' zostanie
przesany do wszystkich stacji zapisanych na grupy ``control'' lub
``news.admin''.
.PP
Jeli
.I <mergetogroups w inn.conf>
jest ustawione na ``true'', to gdy artyku jest wysyany na grup, ktra
rozpoczyna si trzema literami ``to.'', to zostanie potraktowany specjalnie
jeli grupa ta nie istnieje w pliku
.IR active :
artuku jest skadowany do grupy ``to'' i jest wysyany do pierwszej stacji,
nazwanej po przedrostku. Na przykad, wysyanie do ``to.uunet'' zostanie
zoone do ``to'' i przesane do stacji ``uunet''.
file:
.SH "RӯNICE PROTOKOU"
.I Innd
implementuje komendy NNTP zdefiniowane w RFC 977 z nastpujcymi
odstpstwami:
.IP 1.
Za
\&``\fIlist\fP''
moe wystpowa dodatkowo argument
\&``\fIactive\fP'',
\&``\fIactive.times\fP'',
\&``\fInewsgroups\fP''
lub
\&``\fIsubscription\fP''.
Jest to popularne rozszerzenie, lecz nie w peni obsugiwane; zobacz
.IR nnrpd (8).
.IP 2.
Zaimplementowane s komendy
\&``\fIauthinfo user\fP''
oraz
\&``\fIauthinfo pass\fP''.
Zobacz draft-barber-nntp-imp-07.txt dla dalszych szczegw.
.IP 3.
Udostpniona jest nowa komenda,
\&``\fImode reader\fP''.
Komenda ta powoduje, e serwer przekazuje poczenie do
.IR nnrpd .
Komenda
\&``\fImode query\fP''
przeznaczona jest dla przyszych zastosowa i obecnie jest traktowana tak
samo.
.IP 4.
Udostpnione s komendy wspierajce transfer strumieniowy:
\&``\fIcheck messageid\fP'' i ``\fItakethis messageid\fP''.
.IP 5.
Udostpniona jest komenda transferu wsadowego ``\fIxbatch
liczba-bajtw\fP''. Komenda ta odczyta \fIliczb-bajtw\fP bajtw i zapisze
je dla dalszego przetwarzania przez rnews(1) (ktry naley uruchomi
oddzielnie). Obejrzyj programy innxbatch i sendxbatches.sh.
.IP 6.
Pozostaymi zaimplementowanymi komendami s
\&``\fIhead\fP'' ,
\&``\fIhelp\fP'' ,
\&``\fIihave\fP'' ,
\&``\fIquit\fP''
oraz
\&``\fIstat\fP''.
.SH "MODYFIKACJE NAGWKW"
.I Innd
modyfikuje tak mao nagwkw, jak mao si da, lecz mgby by lepszy.
.PP
Oto lista nagwkw, ktre, jeli istniej, s usuwane:
.RS
.nf
Date-Received
Posted
Posting-Version
Received
Relay-Version
.fi
.RE
Puste nagwki oraz nagwki, skadajce si z biaych spacji rwnie s
opuszczane.
.PP
Do nagwka Path doklejana jest nazwa lokalnej stacji 
(okrelanej przez warto ``pathhost'' w
.IR inn.conf (5))
i wyrzyknik (jeli nazwa pierwszej stacji nagwka rni si od lokalnej).
.PP
Nagwek Xref jest usuwany i tworzony jest nowy.
.PP
W przypadku nieobecnoci, nagwek Lines jest dodawany.
.PP
.I Innd
nie przepisuje nieprawidowych nagwkw. Na przykad nie bdzie zmienia
nieprawidowego nagwka Lines, ale odrzuci artyku.
.SH RAPORTOWANIE
.I Innd
raportuje wszystkie nadchodzce artykuy do pliku raportowego. Jest to plik
tekstowy o zmiennej iloci rozdzielanych spacjami pl o jednym z
nastpujcych formatw:
.RS
.nf
mon dd hh:mm:ss.mmm + feed <Message-ID> stacja...
mon dd hh:mm:ss.mmm j feed <Message-ID> stacja...
mon dd hh:mm:ss.mmm c feed <Message-ID> stacja...
mon dd hh:mm:ss.mmm - feed <Message-ID> powd...
.fi
.RE
.PP
Po polu Message-ID moe by rwnie pole nazwy hosta i rozmiaru, zalenie od
opcji ``nntplinklog'' i ``logsize'' z
.IR inn.conf (5).
.PP
Pierwsze trzy pola s polami daty i czasu w rozdzielczoci milisekundowej.
Pite pole jest stacj, ktra wysaa artyku (odczytywane z nagwka Path).
Szste pole jest identyfikatorem artykuu; jeli informacja jest
niedostpna, pojawi si w jej miejscu pytajnik.
.PP
Czwarte pole okrela czy artyku zosta przyjty czy nie. Jeli jest tam
znak plus, to zosta przyjty. Jeli ``j'', to zosta przyjty, lecz
wszystkie grupy maj w swoich rekordach
.I active
``j'', wic artyku zosta zoony do grupy ``junk''.
Jeli w polu pojawia si litera ``c'', to przed pojawieniem si
oryginalnego artykuu odebrany zosta komunikat anulujcy.
We wszystkich tych przypadkach artyku zosta przyjty i pole ``stacja...''
zawiera rozdzielon spacjami list stacji, do ktrych artyku jest
przesyany.
.PP
Jeli czwarte pole zawiera znak minusa, o artyku zosta odrzucony. Powodami
odrzucenia mog by:
.RS
.nf
"%s" header too long (za dugi nagwek)
"%s" wants to cancel <%s> by "%s" ("%s" chce anulowa <%c> poprzez "%s")
Article exceeds local limit of %s bytes (Artyku przekracza lokalny 
                                         limit %s bajtw)
Article posted in the future -- "%s" (Artyku wysany w przyszoci -- "%s")
Bad "%s" header (Zy nagwek "%s")
Can't write history (Nie mog zapisa historii)
Duplicate (Duplikat)
Duplicate "%s" header (Zduplikowany nagwek "%s")
EOF in headers (EOF w nagwkach)
Linecount %s != %s +- %s (Liczba linii %s != %s +- %s)
Missing %s header (Brak nagwka %s)
No body (Brak ciaa)
No colon-space in "%s" header (Brak dwukropka-spacji w nagwku "%s")
No space (Brak spacji (albo miejsca???))
Space before colon in "%s" header (Spacja przed dwukropkiem w nagwku "%s")
Too old -- "%s" (Za stare -- "%s")
Unapproved for "%s" (Niezatwierdzone dla "%s")
Unwanted newsgroup "%s" (Niechciana grupa dyskusyjna "%s")
Unwanted distribution "%s" (Niechciana dystrybucja "%s")
Whitespace in "Newsgroups" header -- "%s" (Biaa spacja w nagwku
                                           "Newsgroups" -- "%s")
.fi
.RE
Gdzie ``%s'' jest podmieniane przez konretniejsze informacje.
.PP
Zauwa, e jeli artyku jest przyjty i <wanttrash w inn.conf> jest
ustawione na ``ues'' i adna z grup nie jest odpowiednia, to zostanie
zraportowany w dwch liniach: w linii ``j'' i ``\-''.
.PP
.I Innd
zgasza te obszerne raporty poprzez
.IR syslog a.
Pierwsze sowo komunikatu raportowego bdzie: nazw stacji, jeli wpis jest
dla niej specyficzny (np. komunikat ``connected''); sowem ``SERVER'', jeli
komunikat jest zwizany z serwerem, np. gdy pojawi si bd odczystu.
.PP
Jeli drugim sowem s cztery litery ``cant'', to zgaszany jest bd.
W tym przypadku nastpne dwa sowa oglnie nazywaj wywoanie systemowe lub
funkcj biblioteczn, ktra si nie powioda oraz obiekt, wok ktrego
wykonywane byy dziaania. Reszta linii moe zawiera inne informacje.
.PP
W innych przypadkach, drugie sowa okrela rodzaj zmiany, a reszta linii
ucila t informacj. Sowo ``internal'' oglnie oznacza wewntrzny bd
logiczny.
.SH SYGNAY
.I Innd
przechwytuje sygnay SIGTERM i SIGDANGER i wycza si po nich. Jeli uyta
jest flaga ``-d'', przechwytywany bdzie rwnie SIGINT i bdzie dziaa
analogicznie.
.PP
.I Innd
przechwytuje sygna SIGUSR1 i odtwarza kana sterujcy, wykorzystywany
normalnie dla
.IR ctlinnd (8).
.SH HISTORIA
Napisane przez Richa $alza <rsalz@uunet.uu.net> dla InterNetNews.
.de R$
Jest to rewizja \\$3, z daty \\$4.
..
.R$ $Id$
.SH "ZOBACZ TAKE"
active(5),
ctlinnd(8),
crosspost(8),
dbz(3),
history(5),
incoming.conf(5),
inn.conf(5),
newsfeeds(5),
nnrpd(8),
rnews(1),
syslog(8).
